//
// Created by william on 8/13/24.
//

#ifndef NES_EMULATOR_TILE_DEBUGGER_H
#define NES_EMULATOR_TILE_DEBUGGER_H

#include "../include/types.h"

/**
 * Encodes a number as pattern data.
 *
 * @param num The number to encode
 * @param tile_fine_y The row of the tile
 * @return Pattern data representing the row of the encoded number
 */
byte tile_debugger_encode_number_as_pattern(byte num, byte tile_fine_y);

#endif //NES_EMULATOR_TILE_DEBUGGER_H
